## node-jsonselect 0.4.0+dfsg3

=== src/Makefile ===
BUILD_DIR = build

PREFIX = .
SRC_DIR = ${PREFIX}
DIST_DIR = ${PREFIX}/dist


JS_ENGINE ?= `which node nodejs 2> /dev/null`
COMPILER = ${JS_ENGINE} ${BUILD_DIR}/uglify.js --unsafe
POST_COMPILER = ${JS_ENGINE} ${BUILD_DIR}/post-compile.js

SRC = ${SRC_DIR}/jsonselect.js
DIST = ${DIST_DIR}/jsonselect.js
DIST_MIN = ${DIST_DIR}/jsonselect.min.js

all: hint project min tests
	@@echo "Project build complete."

${DIST_DIR}:
	@@mkdir -p ${DIST_DIR}

project: ${DIST}

${DIST}: ${SRC} | ${DIST_DIR}
	@@echo "Building" ${DIST}
	@@echo ${SRC}
	@@cat ${SRC} > ${DIST};


min: project ${DIST_MIN}

${DIST_MIN}: ${DIST}
	@@if test ! -z ${JS_ENGINE}; then \
		echo "Minifying Project" ${DIST_MIN}; \
		${COMPILER} ${DIST} > ${DIST_MIN}.tmp; \
		${POST_COMPILER} ${DIST_MIN}.tmp > ${DIST_MIN}; \
		rm -f ${DIST_MIN}.tmp; \
	else \
		echo "You must have NodeJS installed in order to minify Project."; \
	fi


hint:
	@@if test ! -z ${JS_ENGINE}; then \
		echo "Hinting Project"; \
		${JS_ENGINE} build/jshint-check.js; \
	else \
		echo "Nodejs is missing"; \
	fi


test/tests/README.md: 
	@@cd .. && git submodule init 
	@@cd .. && git submodule update 


tests: test/tests/README.md
	@@if test ! -z ${JS_ENGINE}; then \
		echo "Testing Project"; \
		${JS_ENGINE} test/run.js; \
	else \
		echo "nodejs is missing"; \
	fi


clean:
	@@echo "Removing Distribution directory:" ${DIST_DIR}
	@@rm -rf ${DIST_DIR}




.PHONY: all project hint min tests

=== debian/changelog ===
node-jsonselect (0.4.0+dfsg3-3) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle

 -- Yadd <yadd@debian.org>  Tue, 09 Nov 2021 11:57:17 +0100

node-jsonselect (0.4.0+dfsg3-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers to use salsa repository.
  * Apply multi-arch hints.
    + node-jsonselect: Add Multi-Arch: foreign.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Modernize debian/watch
  * Replace deprecated no-uglify by uglifyjs (Closes: #979920)
  * Use dh-sequence-nodejs auto install

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 Jan 2021 20:45:18 +0100

node-jsonselect (0.4.0+dfsg3-1) unstable; urgency=low

  * Initial release (Closes: #840773)

 -- Pirate Praveen <praveen@debian.org>  Fri, 14 Oct 2016 21:51:28 +0530

=== debian/control ===
Source: node-jsonselect
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , uglifyjs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-jsonselect
Vcs-Git: https://salsa.debian.org/js-team/node-jsonselect.git
Homepage: http://jsonselect.org
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-jsonselect
Architecture: all
Depends: ${misc:Depends}
 , libjs-jquery
Multi-Arch: foreign
Description: CSS-like selectors for JSON
 JSONSelect is an attempt to create a selector language similar to CSS for
 JSON objects.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	uglifyjs -o site/js/jquery.ba-hashchange.min.js \
	debian/missing-sources/jquery.ba-hashchange.js

override_dh_auto_clean:
	dh_auto_clean
	rm -f site/js/jquery.ba-hashchange.min.js

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-JSONSelect-$1/ \
 https://github.com/lloyd/JSONSelect/tags .*/archive/.*/v?([\d\.]+).tar.gz
